<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Latihan DOM</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
    <script defer src="https://use.fontawesome.com/releases/v5.8.1/js/all.js" 
    integrity="sha384-g5uSoOSBd7KkhAMlnQILrecXvzst9TdC09/VM+pjDTCM+1il8RHz5fKANTFFb+gQ" crossorigin="anonymous"></script>
</head>
<body>
    <div class="container">
        <nav class="navbar navbar-light bg-light">
            <a class="navbar-brand">Mini Ecommerce</a>
            <form class="form-inline" id="formItem">
                <input class="form-control mr-sm-2" type="search" placeholder="Search"  id="keyword" aria-label="Search">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit" id="searchItem">Search</button>
            </form>
            <button class="btn btn-primary" id="cart"><i class="fas fa-shopping-cart"></i>(0)</button>
        </nav>
        <div class="row">
            <div class="row col-md-12 mt-2"  id="listBarang" >
                
            </div>
        </div>
    </div>
     <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>

    <script>  
    var items = [
        ['001', 'Keyboard Logitek', 60000, 'Keyboard yang mantap untuk kantoran', 'logitek.jpg'], 
        ['002', 'Keyboard MSI', 300000, 'Keyboard gaming MSI mekanik', 'msi.jpg'],
        ['003', 'Mouse Genius', 50000, 'Mouse Genius biar lebih pinter', 'genius.jpeg'],
        ['004', 'Mouse Jerry', 30000, 'Mouse yang disukai kucing', 'jerry.jpg']
    ];

    var tampungBarang = document.getElementById("listBarang")

    // for(var angka =1; angka <= 10, angka++){
    //     console.log('Iterasi ke-' + angka);
    // }
    //Release0
    function tampilProduct(data){
        var tampung = ""
        for(var i = 0; i < data.length; i++){
            tampung += `
        
            // <!-- Component Card dari Bootstrap --> 
            <div class ="col-4 mt-2"> 
            <div class="card" style="width: 18rem;">
                <img src="img/${data[i][4]}" class="card-img-top" height="200px" width="200px" alt="..."></img>
                <div class="card-body">
                    <h5 class="card-title" id="itemName">${data[i][1]}</h5>
                    <p class="card-text" id="itemDesc">${data[i][3]})</p>
                    <p class="card-text">Rp ${data[i][2]})</p>
                    <a href="#" class="btn btn-primary" id="addCart" onclick="addCart()" >Tambahkan ke keranjang</a>
                </div>
            </div>
            </div>
            `
        }
        tampungBarang.innerHTML = tampung
    }
    tampilProduct(items)

    //Release1
    function pencarian(inputData){
        // untuk tampung data dalam nilai kosong
        var tampungArray = [];

        //l oop dari variabel items line34-39
        for(var j=0; j<items.length; j++) {
            // untuk ambil data per array-nya
            var dataProduct = items[j];
            // untuk ambil nilai dari indeks yaitu nama product
            var namaProduct = dataProduct[1];
            // untuk membandingkan nilai
            var isMatch = namaProduct.toLowerCase().includes(inputData.toLowerCase())
            
            // jika bernilai benar perbandingannya
            if(isMatch == true){
                // masukkan data array ke array kosong
                tampungArray.push(dataProduct)
            }
        }
        //lempar nilai tampung nilai
        return tampungArray;
    }

    // get element id  yaitu form id FormItem
    var FormSearch = document.getElementById("formItem")

    // menjalankan fungsi pada saat input submit diklik
    FormSearch.addEventListener("submit", function(event){
        // untuk agar tidak reload halaman pada saat button diklik
        event.preventDefault()
        // untuk mengambil nilai dari inputan
        var inputSearch = document.getElementById("keyword").value
        var filterData = pencarian(inputSearch)

        // looping berdasarkan tampungArray
        tampilProduct(filterData)
    })

    //Release2
    var buttonKeranjang = document.getElementById("cart");
    var nilaiKeranjang = buttonKeranjang.value 
    function addCart(){
        nilaiKeranjang++;
        buttonKeranjang.innerHTML = `<i class="fas fa-shopping-cart"></i>(${nilaiKeranjang})`
    }


    </script>

</body>
</html>